<?php

namespace App\Modules\ReviewNotification\Domain;

use App\Modules\GroupPassenger\Domain\IdGroupPassenger;

interface ReviewNotificationRepository
{
    public function index(IdReviewNotification $id);
    public function find(IdGroupPassenger $idGroupPassenger, string $action);
    public function insert(InsertReviewNotification $value);
    public function update(UpdateReviewNotification $value);
    public function accept(AcceptReviewNotification $value);
    public function delete(IdReviewNotification $id);
}
